Viewing docs for Oracle Cloud Infrastructure v5.3.1
published on Tuesday, Oct 13, 2026 by Pulumi
published on Tuesday, Oct 13, 2026 by Pulumi
Viewing docs for Oracle Cloud Infrastructure v5.3.1
published on Tuesday, Oct 13, 2026 by Pulumi
published on Tuesday, Oct 13, 2026 by Pulumi
This data source provides the list of Subsetting Reports in Oracle Cloud Infrastructure Data Safe service.
Gets a list of subsetting reports based on the specified query parameters.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as oci from "@pulumi/oci";
const testSubsettingReports = oci.datasafe.getSubsettingReports({
compartmentId: compartmentId,
accessLevel: subsettingReportAccessLevel,
compartmentIdInSubtree: subsettingReportCompartmentIdInSubtree,
subsettingPolicyId: testSubsettingPolicy.id,
targetDatabaseGroupId: testTargetDatabaseGroup.id,
targetId: testTarget.id,
});
import pulumi
import pulumi_oci as oci
test_subsetting_reports = oci.datasafe.get_subsetting_reports(compartment_id=compartment_id,
access_level=subsetting_report_access_level,
compartment_id_in_subtree=subsetting_report_compartment_id_in_subtree,
subsetting_policy_id=test_subsetting_policy["id"],
target_database_group_id=test_target_database_group["id"],
target_id=test_target["id"])
package main
import (
"github.com/pulumi/pulumi-oci/sdk/v5/go/oci/datasafe"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := datasafe.GetSubsettingReports(ctx, &datasafe.GetSubsettingReportsArgs{
CompartmentId: compartmentId,
AccessLevel: pulumi.StringRef(subsettingReportAccessLevel),
CompartmentIdInSubtree: pulumi.BoolRef(subsettingReportCompartmentIdInSubtree),
SubsettingPolicyId: pulumi.StringRef(testSubsettingPolicy.Id),
TargetDatabaseGroupId: pulumi.StringRef(testTargetDatabaseGroup.Id),
TargetId: pulumi.StringRef(testTarget.Id),
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Oci = Pulumi.Oci;
return await Deployment.RunAsync(() =>
{
var testSubsettingReports = Oci.DataSafe.GetSubsettingReports.Invoke(new()
{
CompartmentId = compartmentId,
AccessLevel = subsettingReportAccessLevel,
CompartmentIdInSubtree = subsettingReportCompartmentIdInSubtree,
SubsettingPolicyId = testSubsettingPolicy.Id,
TargetDatabaseGroupId = testTargetDatabaseGroup.Id,
TargetId = testTarget.Id,
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.oci.DataSafe.DataSafeFunctions;
import com.pulumi.oci.DataSafe.inputs.GetSubsettingReportsArgs;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var testSubsettingReports = DataSafeFunctions.getSubsettingReports(GetSubsettingReportsArgs.builder()
.compartmentId(compartmentId)
.accessLevel(subsettingReportAccessLevel)
.compartmentIdInSubtree(subsettingReportCompartmentIdInSubtree)
.subsettingPolicyId(testSubsettingPolicy.get("id"))
.targetDatabaseGroupId(testTargetDatabaseGroup.get("id"))
.targetId(testTarget.get("id"))
.build());
}
}
variables:
testSubsettingReports:
fn::invoke:
function: oci:DataSafe:getSubsettingReports
arguments:
compartmentId: ${compartmentId}
accessLevel: ${subsettingReportAccessLevel}
compartmentIdInSubtree: ${subsettingReportCompartmentIdInSubtree}
subsettingPolicyId: ${testSubsettingPolicy.id}
targetDatabaseGroupId: ${testTargetDatabaseGroup.id}
targetId: ${testTarget.id}
terraform {
required_providers {
oci = {
source = "pulumi/oci"
}
}
}
data "oci_data_safe_subsetting_reports" "testSubsettingReports" {
compartment_id = compartmentId
access_level = subsettingReportAccessLevel
compartment_id_in_subtree = subsettingReportCompartmentIdInSubtree
subsetting_policy_id = testSubsettingPolicy.id
target_database_group_id = testTargetDatabaseGroup.id
target_id = testTarget.id
}
Using getSubsettingReports
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSubsettingReports(args: GetSubsettingReportsArgs, opts?: InvokeOptions): Promise<GetSubsettingReportsResult>
function getSubsettingReportsOutput(args: GetSubsettingReportsOutputArgs, opts?: InvokeOutputOptions): Output<GetSubsettingReportsResult>def get_subsetting_reports(access_level: Optional[str] = None,
compartment_id: Optional[str] = None,
compartment_id_in_subtree: Optional[bool] = None,
filters: Optional[Sequence[GetSubsettingReportsFilter]] = None,
subsetting_policy_id: Optional[str] = None,
target_database_group_id: Optional[str] = None,
target_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetSubsettingReportsResult
def get_subsetting_reports_output(access_level: pulumi.Input[Optional[str]] = None,
compartment_id: pulumi.Input[Optional[str]] = None,
compartment_id_in_subtree: pulumi.Input[Optional[bool]] = None,
filters: pulumi.Input[Optional[Sequence[pulumi.Input[GetSubsettingReportsFilterArgs]]]] = None,
subsetting_policy_id: pulumi.Input[Optional[str]] = None,
target_database_group_id: pulumi.Input[Optional[str]] = None,
target_id: pulumi.Input[Optional[str]] = None,
opts: Optional[InvokeOutputOptions] = None) -> Output[GetSubsettingReportsResult]func GetSubsettingReports(ctx *Context, args *GetSubsettingReportsArgs, opts ...InvokeOption) (*GetSubsettingReportsResult, error)
func GetSubsettingReportsOutput(ctx *Context, args *GetSubsettingReportsOutputArgs, opts ...InvokeOption) GetSubsettingReportsResultOutput> Note: This function is named GetSubsettingReports in the Go SDK.
public static class GetSubsettingReports
{
public static Task<GetSubsettingReportsResult> InvokeAsync(GetSubsettingReportsArgs args, InvokeOptions? opts = null)
public static Output<GetSubsettingReportsResult> Invoke(GetSubsettingReportsInvokeArgs args, InvokeOptions? opts = null)
public static Output<GetSubsettingReportsResult> Invoke(GetSubsettingReportsInvokeArgs args, InvokeOutputOptions opts)
}public static CompletableFuture<GetSubsettingReportsResult> getSubsettingReports(GetSubsettingReportsArgs args, InvokeOptions options)
public static Output<GetSubsettingReportsResult> getSubsettingReports(GetSubsettingReportsArgs args, InvokeOptions options)
public static Output<GetSubsettingReportsResult> getSubsettingReports(GetSubsettingReportsArgs args, InvokeOutputOptions options)
fn::invoke:
function: oci:DataSafe/getSubsettingReports:getSubsettingReports
arguments:
# arguments dictionarydata "oci_data_safe_get_subsetting_reports" "name" {
# arguments
}The following arguments are supported:
- Compartment
Id string - A filter to return only resources that match the specified compartment OCID.
- Access
Level string - Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
- Compartment
Id boolIn Subtree - Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
- Filters
List<Get
Subsetting Reports Filter> - Subsetting
Policy stringId - A filter to return only the resources that match the specified subsetting policy OCID.
- Target
Database stringGroup Id - A filter to return the target database group that matches the specified OCID.
- Target
Id string - A filter to return only items related to a specific target OCID.
- Compartment
Id string - A filter to return only resources that match the specified compartment OCID.
- Access
Level string - Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
- Compartment
Id boolIn Subtree - Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
- Filters
[]Get
Subsetting Reports Filter - Subsetting
Policy stringId - A filter to return only the resources that match the specified subsetting policy OCID.
- Target
Database stringGroup Id - A filter to return the target database group that matches the specified OCID.
- Target
Id string - A filter to return only items related to a specific target OCID.
- compartment_
id string - A filter to return only resources that match the specified compartment OCID.
- access_
level string - Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
- compartment_
id_ boolin_ subtree - Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
- filters list(object)
- subsetting_
policy_ stringid - A filter to return only the resources that match the specified subsetting policy OCID.
- target_
database_ stringgroup_ id - A filter to return the target database group that matches the specified OCID.
- target_
id string - A filter to return only items related to a specific target OCID.
- compartment
Id String - A filter to return only resources that match the specified compartment OCID.
- access
Level String - Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
- compartment
Id BooleanIn Subtree - Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
- filters
List<Get
Subsetting Reports Filter> - subsetting
Policy StringId - A filter to return only the resources that match the specified subsetting policy OCID.
- target
Database StringGroup Id - A filter to return the target database group that matches the specified OCID.
- target
Id String - A filter to return only items related to a specific target OCID.
- compartment
Id string - A filter to return only resources that match the specified compartment OCID.
- access
Level string - Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
- compartment
Id booleanIn Subtree - Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
- filters
Get
Subsetting Reports Filter[] - subsetting
Policy stringId - A filter to return only the resources that match the specified subsetting policy OCID.
- target
Database stringGroup Id - A filter to return the target database group that matches the specified OCID.
- target
Id string - A filter to return only items related to a specific target OCID.
- compartment_
id str - A filter to return only resources that match the specified compartment OCID.
- access_
level str - Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
- compartment_
id_ boolin_ subtree - Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
- filters
Sequence[Get
Subsetting Reports Filter] - subsetting_
policy_ strid - A filter to return only the resources that match the specified subsetting policy OCID.
- target_
database_ strgroup_ id - A filter to return the target database group that matches the specified OCID.
- target_
id str - A filter to return only items related to a specific target OCID.
- compartment
Id String - A filter to return only resources that match the specified compartment OCID.
- access
Level String - Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
- compartment
Id BooleanIn Subtree - Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
- filters List<Property Map>
- subsetting
Policy StringId - A filter to return only the resources that match the specified subsetting policy OCID.
- target
Database StringGroup Id - A filter to return the target database group that matches the specified OCID.
- target
Id String - A filter to return only items related to a specific target OCID.
getSubsettingReports Result
The following output properties are available:
- Compartment
Id string - The OCID of the compartment that contains the subsetting report
- Id string
- The provider-assigned unique ID for this managed resource.
- Subsetting
Report List<GetCollections Subsetting Reports Subsetting Report Collection> - The list of subsetting_report_collection.
- Access
Level string - Compartment
Id boolIn Subtree - Filters
List<Get
Subsetting Reports Filter> - Subsetting
Policy stringId - The OCID of the subsetting policy used
- Target
Database stringGroup Id - Target
Id string - The OCID of the target database subsetted
- Compartment
Id string - The OCID of the compartment that contains the subsetting report
- Id string
- The provider-assigned unique ID for this managed resource.
- Subsetting
Report []GetCollections Subsetting Reports Subsetting Report Collection - The list of subsetting_report_collection.
- Access
Level string - Compartment
Id boolIn Subtree - Filters
[]Get
Subsetting Reports Filter - Subsetting
Policy stringId - The OCID of the subsetting policy used
- Target
Database stringGroup Id - Target
Id string - The OCID of the target database subsetted
- compartment_
id string - The OCID of the compartment that contains the subsetting report
- id string
- The provider-assigned unique ID for this managed resource.
- subsetting_
report_ list(object)collections - The list of subsetting_report_collection.
- access_
level string - compartment_
id_ boolin_ subtree - filters list(object)
- subsetting_
policy_ stringid - The OCID of the subsetting policy used
- target_
database_ stringgroup_ id - target_
id string - The OCID of the target database subsetted
- compartment
Id String - The OCID of the compartment that contains the subsetting report
- id String
- The provider-assigned unique ID for this managed resource.
- subsetting
Report List<GetCollections Subsetting Reports Subsetting Report Collection> - The list of subsetting_report_collection.
- access
Level String - compartment
Id BooleanIn Subtree - filters
List<Get
Subsetting Reports Filter> - subsetting
Policy StringId - The OCID of the subsetting policy used
- target
Database StringGroup Id - target
Id String - The OCID of the target database subsetted
- compartment
Id string - The OCID of the compartment that contains the subsetting report
- id string
- The provider-assigned unique ID for this managed resource.
- subsetting
Report GetCollections Subsetting Reports Subsetting Report Collection[] - The list of subsetting_report_collection.
- access
Level string - compartment
Id booleanIn Subtree - filters
Get
Subsetting Reports Filter[] - subsetting
Policy stringId - The OCID of the subsetting policy used
- target
Database stringGroup Id - target
Id string - The OCID of the target database subsetted
- compartment_
id str - The OCID of the compartment that contains the subsetting report
- id str
- The provider-assigned unique ID for this managed resource.
- subsetting_
report_ Sequence[Getcollections Subsetting Reports Subsetting Report Collection] - The list of subsetting_report_collection.
- access_
level str - compartment_
id_ boolin_ subtree - filters
Sequence[Get
Subsetting Reports Filter] - subsetting_
policy_ strid - The OCID of the subsetting policy used
- target_
database_ strgroup_ id - target_
id str - The OCID of the target database subsetted
- compartment
Id String - The OCID of the compartment that contains the subsetting report
- id String
- The provider-assigned unique ID for this managed resource.
- subsetting
Report List<Property Map>Collections - The list of subsetting_report_collection.
- access
Level String - compartment
Id BooleanIn Subtree - filters List<Property Map>
- subsetting
Policy StringId - The OCID of the subsetting policy used
- target
Database StringGroup Id - target
Id String - The OCID of the target database subsetted
Supporting Types
GetSubsettingReportsFilter
GetSubsettingReportsSubsettingReportCollection
GetSubsettingReportsSubsettingReportCollectionItem
- Compartment
Id string - A filter to return only resources that match the specified compartment OCID.
- Database
Size stringAfter Subsetting In Kbs - The size of the target database after subsetting in KBs
- Database
Size stringBefore Subsetting In Kbs - The size of the target database before subsetting in KBs
- Id string
- The OCID of the subsetting report
- Is
Redo boolLogging Enabled - Indicates if redo logging was enabled during the subsetting operation
- Is
Refresh boolStats Enabled - Indicates if statistics gathering was enabled during the subsetting operation
- Masking
Policy stringId - The OCID of the masking policy associated with this subsetting report
- Masking
Report stringId - The OCID of the masking report associated with this subsetting report
- Masking
Work stringRequest Id - The OCID of the masking work request triggered after this subsetting job
- Parallel
Degree string - Indicates if parallel execution was enabled during the subsetting operation
- Recompile string
- Indicates how invalid objects were recompiled post the subsetting operation
- State string
- The current state of the subsetting report
- Subsetting
Policy stringId - A filter to return only the resources that match the specified subsetting policy OCID.
- Subsetting
Status string - The status of the subsetting job
- Subsetting
Work stringRequest Id - The OCID of the subsetting work request that resulted in this subsetting report
- Target
Id string - A filter to return only items related to a specific target OCID.
- Time
Created string - The date and time the subsetting report was created, in the format defined by RFC3339
- Time
Subsetting stringFinished - The date and time data subsetting finished, in the format defined by RFC3339
- Time
Subsetting stringStarted - The date and time data subsetting started, in the format defined by RFC3339
- Total
Post stringSubsetting Script Errors - The total number of errors in post-subsetting script
- Total
Pre stringSubsetting Script Errors - The total number of errors in pre-subsetting script
- Total
Subsetted stringObjects - The total number of subsetted objects
- Total
Subsetted stringRows - The count of rows reduced in the subsetting job
- Total
Subsetted stringSchemas - The total number of subsetted schemas
- Compartment
Id string - A filter to return only resources that match the specified compartment OCID.
- Database
Size stringAfter Subsetting In Kbs - The size of the target database after subsetting in KBs
- Database
Size stringBefore Subsetting In Kbs - The size of the target database before subsetting in KBs
- Id string
- The OCID of the subsetting report
- Is
Redo boolLogging Enabled - Indicates if redo logging was enabled during the subsetting operation
- Is
Refresh boolStats Enabled - Indicates if statistics gathering was enabled during the subsetting operation
- Masking
Policy stringId - The OCID of the masking policy associated with this subsetting report
- Masking
Report stringId - The OCID of the masking report associated with this subsetting report
- Masking
Work stringRequest Id - The OCID of the masking work request triggered after this subsetting job
- Parallel
Degree string - Indicates if parallel execution was enabled during the subsetting operation
- Recompile string
- Indicates how invalid objects were recompiled post the subsetting operation
- State string
- The current state of the subsetting report
- Subsetting
Policy stringId - A filter to return only the resources that match the specified subsetting policy OCID.
- Subsetting
Status string - The status of the subsetting job
- Subsetting
Work stringRequest Id - The OCID of the subsetting work request that resulted in this subsetting report
- Target
Id string - A filter to return only items related to a specific target OCID.
- Time
Created string - The date and time the subsetting report was created, in the format defined by RFC3339
- Time
Subsetting stringFinished - The date and time data subsetting finished, in the format defined by RFC3339
- Time
Subsetting stringStarted - The date and time data subsetting started, in the format defined by RFC3339
- Total
Post stringSubsetting Script Errors - The total number of errors in post-subsetting script
- Total
Pre stringSubsetting Script Errors - The total number of errors in pre-subsetting script
- Total
Subsetted stringObjects - The total number of subsetted objects
- Total
Subsetted stringRows - The count of rows reduced in the subsetting job
- Total
Subsetted stringSchemas - The total number of subsetted schemas
- compartment_
id string - A filter to return only resources that match the specified compartment OCID.
- database_
size_ stringafter_ subsetting_ in_ kbs - The size of the target database after subsetting in KBs
- database_
size_ stringbefore_ subsetting_ in_ kbs - The size of the target database before subsetting in KBs
- id string
- The OCID of the subsetting report
- is_
redo_ boollogging_ enabled - Indicates if redo logging was enabled during the subsetting operation
- is_
refresh_ boolstats_ enabled - Indicates if statistics gathering was enabled during the subsetting operation
- masking_
policy_ stringid - The OCID of the masking policy associated with this subsetting report
- masking_
report_ stringid - The OCID of the masking report associated with this subsetting report
- masking_
work_ stringrequest_ id - The OCID of the masking work request triggered after this subsetting job
- parallel_
degree string - Indicates if parallel execution was enabled during the subsetting operation
- recompile string
- Indicates how invalid objects were recompiled post the subsetting operation
- state string
- The current state of the subsetting report
- subsetting_
policy_ stringid - A filter to return only the resources that match the specified subsetting policy OCID.
- subsetting_
status string - The status of the subsetting job
- subsetting_
work_ stringrequest_ id - The OCID of the subsetting work request that resulted in this subsetting report
- target_
id string - A filter to return only items related to a specific target OCID.
- time_
created string - The date and time the subsetting report was created, in the format defined by RFC3339
- time_
subsetting_ stringfinished - The date and time data subsetting finished, in the format defined by RFC3339
- time_
subsetting_ stringstarted - The date and time data subsetting started, in the format defined by RFC3339
- total_
post_ stringsubsetting_ script_ errors - The total number of errors in post-subsetting script
- total_
pre_ stringsubsetting_ script_ errors - The total number of errors in pre-subsetting script
- total_
subsetted_ stringobjects - The total number of subsetted objects
- total_
subsetted_ stringrows - The count of rows reduced in the subsetting job
- total_
subsetted_ stringschemas - The total number of subsetted schemas
- compartment
Id String - A filter to return only resources that match the specified compartment OCID.
- database
Size StringAfter Subsetting In Kbs - The size of the target database after subsetting in KBs
- database
Size StringBefore Subsetting In Kbs - The size of the target database before subsetting in KBs
- id String
- The OCID of the subsetting report
- is
Redo BooleanLogging Enabled - Indicates if redo logging was enabled during the subsetting operation
- is
Refresh BooleanStats Enabled - Indicates if statistics gathering was enabled during the subsetting operation
- masking
Policy StringId - The OCID of the masking policy associated with this subsetting report
- masking
Report StringId - The OCID of the masking report associated with this subsetting report
- masking
Work StringRequest Id - The OCID of the masking work request triggered after this subsetting job
- parallel
Degree String - Indicates if parallel execution was enabled during the subsetting operation
- recompile String
- Indicates how invalid objects were recompiled post the subsetting operation
- state String
- The current state of the subsetting report
- subsetting
Policy StringId - A filter to return only the resources that match the specified subsetting policy OCID.
- subsetting
Status String - The status of the subsetting job
- subsetting
Work StringRequest Id - The OCID of the subsetting work request that resulted in this subsetting report
- target
Id String - A filter to return only items related to a specific target OCID.
- time
Created String - The date and time the subsetting report was created, in the format defined by RFC3339
- time
Subsetting StringFinished - The date and time data subsetting finished, in the format defined by RFC3339
- time
Subsetting StringStarted - The date and time data subsetting started, in the format defined by RFC3339
- total
Post StringSubsetting Script Errors - The total number of errors in post-subsetting script
- total
Pre StringSubsetting Script Errors - The total number of errors in pre-subsetting script
- total
Subsetted StringObjects - The total number of subsetted objects
- total
Subsetted StringRows - The count of rows reduced in the subsetting job
- total
Subsetted StringSchemas - The total number of subsetted schemas
- compartment
Id string - A filter to return only resources that match the specified compartment OCID.
- database
Size stringAfter Subsetting In Kbs - The size of the target database after subsetting in KBs
- database
Size stringBefore Subsetting In Kbs - The size of the target database before subsetting in KBs
- id string
- The OCID of the subsetting report
- is
Redo booleanLogging Enabled - Indicates if redo logging was enabled during the subsetting operation
- is
Refresh booleanStats Enabled - Indicates if statistics gathering was enabled during the subsetting operation
- masking
Policy stringId - The OCID of the masking policy associated with this subsetting report
- masking
Report stringId - The OCID of the masking report associated with this subsetting report
- masking
Work stringRequest Id - The OCID of the masking work request triggered after this subsetting job
- parallel
Degree string - Indicates if parallel execution was enabled during the subsetting operation
- recompile string
- Indicates how invalid objects were recompiled post the subsetting operation
- state string
- The current state of the subsetting report
- subsetting
Policy stringId - A filter to return only the resources that match the specified subsetting policy OCID.
- subsetting
Status string - The status of the subsetting job
- subsetting
Work stringRequest Id - The OCID of the subsetting work request that resulted in this subsetting report
- target
Id string - A filter to return only items related to a specific target OCID.
- time
Created string - The date and time the subsetting report was created, in the format defined by RFC3339
- time
Subsetting stringFinished - The date and time data subsetting finished, in the format defined by RFC3339
- time
Subsetting stringStarted - The date and time data subsetting started, in the format defined by RFC3339
- total
Post stringSubsetting Script Errors - The total number of errors in post-subsetting script
- total
Pre stringSubsetting Script Errors - The total number of errors in pre-subsetting script
- total
Subsetted stringObjects - The total number of subsetted objects
- total
Subsetted stringRows - The count of rows reduced in the subsetting job
- total
Subsetted stringSchemas - The total number of subsetted schemas
- compartment_
id str - A filter to return only resources that match the specified compartment OCID.
- database_
size_ strafter_ subsetting_ in_ kbs - The size of the target database after subsetting in KBs
- database_
size_ strbefore_ subsetting_ in_ kbs - The size of the target database before subsetting in KBs
- id str
- The OCID of the subsetting report
- is_
redo_ boollogging_ enabled - Indicates if redo logging was enabled during the subsetting operation
- is_
refresh_ boolstats_ enabled - Indicates if statistics gathering was enabled during the subsetting operation
- masking_
policy_ strid - The OCID of the masking policy associated with this subsetting report
- masking_
report_ strid - The OCID of the masking report associated with this subsetting report
- masking_
work_ strrequest_ id - The OCID of the masking work request triggered after this subsetting job
- parallel_
degree str - Indicates if parallel execution was enabled during the subsetting operation
- recompile str
- Indicates how invalid objects were recompiled post the subsetting operation
- state str
- The current state of the subsetting report
- subsetting_
policy_ strid - A filter to return only the resources that match the specified subsetting policy OCID.
- subsetting_
status str - The status of the subsetting job
- subsetting_
work_ strrequest_ id - The OCID of the subsetting work request that resulted in this subsetting report
- target_
id str - A filter to return only items related to a specific target OCID.
- time_
created str - The date and time the subsetting report was created, in the format defined by RFC3339
- time_
subsetting_ strfinished - The date and time data subsetting finished, in the format defined by RFC3339
- time_
subsetting_ strstarted - The date and time data subsetting started, in the format defined by RFC3339
- total_
post_ strsubsetting_ script_ errors - The total number of errors in post-subsetting script
- total_
pre_ strsubsetting_ script_ errors - The total number of errors in pre-subsetting script
- total_
subsetted_ strobjects - The total number of subsetted objects
- total_
subsetted_ strrows - The count of rows reduced in the subsetting job
- total_
subsetted_ strschemas - The total number of subsetted schemas
- compartment
Id String - A filter to return only resources that match the specified compartment OCID.
- database
Size StringAfter Subsetting In Kbs - The size of the target database after subsetting in KBs
- database
Size StringBefore Subsetting In Kbs - The size of the target database before subsetting in KBs
- id String
- The OCID of the subsetting report
- is
Redo BooleanLogging Enabled - Indicates if redo logging was enabled during the subsetting operation
- is
Refresh BooleanStats Enabled - Indicates if statistics gathering was enabled during the subsetting operation
- masking
Policy StringId - The OCID of the masking policy associated with this subsetting report
- masking
Report StringId - The OCID of the masking report associated with this subsetting report
- masking
Work StringRequest Id - The OCID of the masking work request triggered after this subsetting job
- parallel
Degree String - Indicates if parallel execution was enabled during the subsetting operation
- recompile String
- Indicates how invalid objects were recompiled post the subsetting operation
- state String
- The current state of the subsetting report
- subsetting
Policy StringId - A filter to return only the resources that match the specified subsetting policy OCID.
- subsetting
Status String - The status of the subsetting job
- subsetting
Work StringRequest Id - The OCID of the subsetting work request that resulted in this subsetting report
- target
Id String - A filter to return only items related to a specific target OCID.
- time
Created String - The date and time the subsetting report was created, in the format defined by RFC3339
- time
Subsetting StringFinished - The date and time data subsetting finished, in the format defined by RFC3339
- time
Subsetting StringStarted - The date and time data subsetting started, in the format defined by RFC3339
- total
Post StringSubsetting Script Errors - The total number of errors in post-subsetting script
- total
Pre StringSubsetting Script Errors - The total number of errors in pre-subsetting script
- total
Subsetted StringObjects - The total number of subsetted objects
- total
Subsetted StringRows - The count of rows reduced in the subsetting job
- total
Subsetted StringSchemas - The total number of subsetted schemas
Package Details
- Repository
- oci pulumi/pulumi-oci
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
ociTerraform Provider.
Viewing docs for Oracle Cloud Infrastructure v5.3.1
published on Tuesday, Oct 13, 2026 by Pulumi
published on Tuesday, Oct 13, 2026 by Pulumi